Skip to main content
Resource Center/Network Resource/VPC Operations
POSTVPC OperationsSince 3.5.1SynchronousAuth Required

CreateVpcHaGroup

CreateVpcHaGroup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • nameStringRequired

      The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • monitorIpsList

      Optional.

    • resourceUuidString

      Optional. The resource UUID.

    • tagUuidsList

      Optional. The tag UUID list.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryVpcHaGroupInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • monitorsListRequired

      See monitors.

      • idLongRequired

        资源ID。

      • vpcHaRouterUuidStringRequired

        No description provided.

      • monitorIpStringRequired

        监控IP。

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

    • vrRefsListRequired

      See vrRefs.

      • uuidStringRequired

        The resource UUID.

      • VpcHaRouterUuidStringRequired

        No description provided.

    • servicesListRequired

      See services.

      • idLongRequired

        资源ID。

      • vpcHaRouterUuidStringRequired

        No description provided.

      • networkServiceNameStringRequired

        No description provided.

      • networkServiceUuidStringRequired

        No description provided.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

    • usedIpsListRequired

      See usedIps.

      • idLongRequired

        资源ID。

      • vpcHaRouterUuidStringRequired

        No description provided.

      • vipUuidStringRequired

        The VIP UUID.

      • l3NetworkUuidStringRequired

        The L3 network UUID.

      • ipStringRequired

        来源IP地址。

      • netmaskStringRequired

        No description provided.

      • createDateTimestampRequired

        The creation date.

      • lastOpDateTimestampRequired

        The last operation date.

Endpoint

POST/zstack/v1/vpc/hagroups

/zstack/v1/vpc/hagroups

Operation ID

CreateVpcHaGroup

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/vpc/hagroups' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","monitorIps":["<monitorIps>"],"resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "d32cd856d4603754aa30d8fe60ea07a4", "name": "test-vpcha", "monitors": [ { "id": 0.0, "vpcHaRouterUuid": "d32cd856d4603754aa30d8fe60ea07a4", "monitorIp": "1.1.1.1" } ], "vrRefs": [ { "uuid": "a26bee5e86153d2aa579c01756ca0944", "vpcHaRouterUuid": "d32cd856d4603754aa30d8fe60ea07a4" } ] } }

Change History

This API has no change history records yet.

View all change history